package com.bocloud.ims.entity.resource.powervc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * Povervc中的hmc连接
 * @author luyanchao
 * @since 2019/1/23 10:03
 */

@Table("powervc_hmc")
public class PowervcHmc extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId;
    @Column("uuid")
    private String uuid;
    @Column("ip")
    private String ip;
    @Column("username")
    private String username;
    @Column("password")
    private String password;
    @Column("server_count")
    @IgnoreAll
    private Long serverCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Long getServerCount() {
        return serverCount;
    }

    public void setServerCount(Long serverCount) {
        this.serverCount = serverCount;
    }
}
